> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List accessible volume IDs

> Lightweight list of volume IDs accessible to the caller, without hydrating volumes or projects



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.json get /volumes/ids
openapi: 3.0.3
info:
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  title: Domino Volumes for NetApp ONTAP Microservice API
  termsOfService: http://swagger.io/terms/
  contact:
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
    email: support@dominodatalab.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech/remotefs/v1
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /volumes/ids:
    get:
      tags:
        - volumes
      summary: List accessible volume IDs
      description: >-
        Lightweight list of volume IDs accessible to the caller, without
        hydrating volumes or projects
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.HTTPError:
      type: object
      properties:
        message:
          type: string

````

## Related topics

- [Deprecated - Get datasets accessible to user](/api-reference/datasetrw/deprecated--get-datasets-accessible-to-user.md)
- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [List volumes](/api-reference/volumes/list-volumes.md)
- [List project templates (v2)](/api-reference/projecttemplates/list-project-templates-v2.md)
